## org.apache.felix.httplite.osgi
Class HttpServiceFactoryImpl

    java.lang.Object
      org.apache.felix.httplite.osgi.HttpServiceFactoryImpl

All Implemented Interfaces:
  org.osgi.framework.ServiceFactory

    public class HttpServiceFactoryImpl

extends java.lang.Object
implements org.osgi.framework.ServiceFactory

HttpServiceFactory creates a separate HttpService instance for every requester, so that the requester (client) bundle has access to it's own class loader for getting resources.

Constructor Summary
`HttpServiceFactoryImpl(Logger logger, Server m_server)`

Method Summary
`java.lang.Object` `getService(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration registration)`
`void` `ungetService(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration registration, java.lang.Object service)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpServiceFactoryImpl

    public HttpServiceFactoryImpl(Logger logger,
                                  Server m_server)

Parameters:
  `logger` -
  `m_server` -

Method Detail

### getService

    public java.lang.Object getService(org.osgi.framework.Bundle bundle,
                                       org.osgi.framework.ServiceRegistration registration)

  Specified by:
    `getService` in interface `org.osgi.framework.ServiceFactory`

### ungetService

    public void ungetService(org.osgi.framework.Bundle bundle,
                             org.osgi.framework.ServiceRegistration registration,
                             java.lang.Object service)

  Specified by:
    `ungetService` in interface `org.osgi.framework.ServiceFactory`

Copyright © 2006-2012 The Apache Software Foundation. All Rights Reserved.